/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.api;

/**
 * Default values used by Petals Registry Overlay client and server.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface Constants {

    /**
     * Default listening port of a node
     */
    public static final int DEFAULT_PORT = 7900;

    /**
     * Default group for credentials. The value is aligned with the value contains in the default topology.
     */
    public static final String DEFAULT_CREDENTIALS_GROUP = "default-sample";

    /**
     * Default password for credentials. The value is aligned with the value contains in the default topology.
     */
    public static final String DEFAULT_CREDENTIALS_PASSWORD = "s3cr3t";

}
